<?php
$t = "Баланс и платные возможности";
include_once '../core/core.php';
if (!$user->auth()){
	$core->GoToPage("/login.lm");
	die();
}

$balance = $user->getData()->balance;
$t = "Баланс и платные возможности (".$balance." Р)";
if ($db->Count("donation","WHERE `sid` = '".($user->getData()->id)."'") != 0){
	$donats = $db->getAssoc("SELECT SUM(`summa`) as `bits` FROM `donation` WHERE `sid` = '".($user->getData()->id)."'");
	$donats = $donats["bits"];
} else {
	$donats = 0;
}
if ($act == "donation"){
	$t = "Пожертвование средств";
	if (isset($_POST["don"])){
		$bits = isset($_POST["bits"]) && !empty($_POST["bits"]) && is_numeric($_POST["bits"])?intval($_POST["bits"]):0;
		if ($bits <= 0){
			$core->regError("","Введите сумму больше нуля",1,"Balance");
		} elseif ($bits > $balance){
			$core->regError("","Недостаточно средств на балансе",2,"Balance");
		} else {
			$db->Query("INSERT INTO `donation`(`sid`, `summa`, `timePay`) VALUES ('".($user->getData()->id)."','".($bits)."','".(time())."');");
			$db->Query("UPDATE `sites` SET `balance` = `balance`-'".($bits)."' WHERE `id` = '".($user->getData()->id)."';");
			include_once '../core/head.php';
			echo '<div class="alert alert-success">Вы успешно внесли средства на пожертвование.<br>Спасибо большое :)</div>';
			#header("/balance.lm?act=donation&ok");
			#exit();
		}
	}
	include_once '../core/head.php';
	echo '<div class="col-6"><div class="panel panel-default">';
	echo '<div class="panel-heading">Баланс: '.$balance.' Р | Вы пожертвовали: '.$donats.' Руб.</div><div class="panel-body">';
	if ($core->isBooleanError()){
		foreach ($core->showError() as $csE){
			echo '<div class="alert alert-danger">Err#'.$csE["code"].'</b> | '.$csE["utxt"].'</div>';
		}	
	}
	
	if ($balance > 0){
		echo '<form class="form-horizontal" method="POST">
		<div class="form-group">
        <label for="inputData1" class="col-sm-2 control-label">Сумма</label>
        <div class="col-sm-10">
            <input type="number" class="form-control" name="bits" id="inputData1" placeholder="Сумма"  min="0" max="'.$balance.'">
        </div>
		</div>
		<div class="form-group" style="margin-bottom:0">
        <div class="col-sm-offset-2 col-sm-10 text-right">
            <button type="submit" class="btn btn-primary" name="don">Пожертвовать</button>
        </div>
    </div>
		
		</form>';
	} else {
		echo '<div class="alert alert-danger">Пополните баланс, для перевода средств на пожертвование</div>';
	}
	echo '</div></div></div>';
	
	
	echo '<div class="col-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">ТОП-15 по сумме платежа</div>
                            <div class="panel-body">
                                <p style="margin-bottom:0">Список сайтов которые внесли больше всего средств по платежам.</p>
                            </div>
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Сайт</th>
                                        <th>Сумма</th>
                                        <th>Дата</th>
                                    </tr>
                                </thead>
                                <tbody>';
                                    $data = $db->Query("SELECT * FROM `donation` ORDER BY `summa` DESC LIMIT 0, 15"); 
									$_t_x = 1;
									while ($d = mysqli_fetch_assoc($data)){
										$userInfo = $db->getAssoc("SELECT * FROM `sites` WHERE `id` = '".$d["sid"]."'");
										echo '<tr>
                                        <th scope="row">'.$_t_x.'</th>
                                        <td><a href="http://'.$userInfo["domain"].'/">'.$userInfo["domain"].'</a></td>
                                        <td>'.$d["summa"].' Р</td>
                                        <td>'.$core->RealTime($d["timePay"]).'</td>
                                        
										</tr>';
										$_t_x++;
									}
                                    
                                    
    echo '</tbody></table></div></div>';
	
	echo '<div class="col-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">Последние платежы</div>
                            <div class="panel-body">
                                <p style="margin-bottom:0">Последние кто внес пожертвования</p>
                            </div>
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Сайт</th>
                                        <th>Сумма</th>
                                        <th>Дата</th>
                                    </tr>
                                </thead>
                                <tbody>';
                                    $data = $db->Query("SELECT * FROM `donation` ORDER BY `did` DESC LIMIT 0, 15"); 
									$_t_x = 1;
									while ($d = mysqli_fetch_assoc($data)){
										$userInfo = $db->getAssoc("SELECT * FROM `sites` WHERE `id` = '".$d["sid"]."'");
										echo '<tr>
                                        <th scope="row">'.$_t_x.'</th>
                                        <td><a href="http://'.$userInfo["domain"].'/">'.$userInfo["domain"].'</a></td>
                                        <td>'.$d["summa"].' Р</td>
                                        <td>'.$core->RealTime($d["timePay"]).'</td>
                                        
										</tr>';
										$_t_x++;
									}
                                    
                                    
    echo '</tbody></table></div></div>';
	
	include_once '../core/foot.php';
	die();
} elseif ($act == "add"){
	$t = "Активация промокода";
	if (isset($_POST["pay"])){
		$bits = isset($_POST["bits"]) && !empty($_POST["bits"])?mb_strtoupper($core->FilterString($_POST["bits"])):"X_ERROR";
		$p = $db->getObject("SELECT * FROM `promocodes` WHERE `promo` = '".$bits."'");
		if ($p == null){
			$core->regError("","Промо-код не найден.",1,"Balance");
		} elseif ($user->getData()->lastPromo < time()+(60*60*24)){
			$core->regError("","Можно активировать только один промокод в сутки.",1,"Balance");
		} else {
			$_a = [];
			// `balance`, `vip`, `noads`, `header`, `hdd`,pro_mod_loads
			if ($p->balance != 0.00){
				$_a[] = [
					"msg"	=>	"На ваш баланс зачислено: ".$p->balance." руб.",
					"sql"	=>	",`balance` = `balance` + '".$p->balance."'",
				];
			}
			if ($p->hdd != 0){
				$_a[] = [
					"msg"	=>	"Доступный размер сайта измен: +".$Quota->RealSize($p->hdd)." | ".$Quota->RealSize($p->hdd+$user->getData()->hdd),
					"sql"	=>	",`hdd` = `hdd`+'".$p->hdd."'",
				];
			}
			$__s = "UPDATE `sites` SET `lastPromo` = '".(time())."' ";
			$__m = "";
			foreach ($_a as $x){
				$__s .= $x["sql"];
				$__m .= $x["msg"]."<br>";
			}
			
			#echo $__s;
			#echo '<hr>';
			#echo $__m;
			$db->Query($__s." WHERE `id` = '".($user->getData()->id)."'");
			$db->Query("DELETE FROM `promocodes` WHERE `pid` = '".$p->pid."'");
			sendVk(-1,"Сайт ".$user->getData()->domain." активировал промокод (".$p->name.")
".$__m);
		}
	}
	include_once '../core/head.php';
	echo '<div class="col-6"><div class="panel panel-default"><div class="panel-body">';
	
	if (isset($__m)){
		echo '<div class="alert alert-success">Промо-код ('.$p->name.') успешно активирован!<hr>'.$__m.'</div>';
	}
	foreach ($core->showError() as $csE){
		echo '<div class="alert alert-danger">#Err'.$csE["code"].'</b> | '.$csE["utxt"].'</div>';
	}	

	
	
		echo '<form class="form-horizontal" method="POST">
		<div class="form-group">
        <label for="inputData1" class="col-sm-2 control-label">ПромоКод</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="bits" id="inputData1" placeholder="XXXXX-XXXXX-XXXXXX">
        </div>
		</div>
		<div class="form-group" style="margin-bottom:0">
        <div class="col-sm-offset-2 col-sm-10 text-right">
            <button type="submit" class="btn btn-primary" name="pay">Активировать</button>
        </div>
    </div>
		
		</form>';

	echo '</div></div></div>';
	include_once '../core/foot.php';
	die();
}

include_once '../core/head.php';
echo '<div class="row cm-fix-height">';
echo l("/balance.lm?act=add","Активация промокода","money",false,false,"Для активации платных опций и пожертвований");
echo l("/balance.lm?act=donation","<b>Пожертвование</b>","heart",false,$donats." руб.","Все средства пойдут на улучшение конструктора и оплату серверов.");
echo '</div>';
include_once '../core/foot.php';
?>
